LelantosLelantos

A P I Keys

Manage API keys for authentication

List API keys

GET
/api-keys

Authorization

AccessTokenAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://api.lelantos.ai/api-keys"
[
  {
    "id": "string",
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "lastUsedAt": "2019-08-24T14:15:22Z"
  }
]
{
  "code": 0,
  "message": "string"
}

Create API key

POST
/api-keys

Authorization

AccessTokenAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

application/json

curl -X POST "https://api.lelantos.ai/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "name": "string",
  "apiKey": "string"
}
{
  "code": 0,
  "message": "string"
}

Delete API key

DELETE
/api-keys/{apiKeyID}

Authorization

AccessTokenAuth
AuthorizationBearer <token>

In: header

Path Parameters

apiKeyID*string

Response Body

application/json

application/json

curl -X DELETE "https://api.lelantos.ai/api-keys/string"
Empty
{
  "code": 0,
  "message": "string"
}
{
  "code": 0,
  "message": "string"
}